# Crypto Tracker

A GNOME Shell extension for tracking cryptocurrency balances in your preferred fiat currency.

![image](https://github.com/user-attachments/assets/041bcd4c-79c3-418d-8fb0-95192acd6ab3)

![image](https://github.com/user-attachments/assets/54739d38-ffa0-4746-be25-ef19a6d9f927)

## Where to generate the JSON config

[HERE](https://bilgi42.github.io/polybar-crypto-track/)


## Features

- Track multiple cryptocurrencies in real-time
- Display prices in various fiat currencies
- Customizable refresh intervals
- Clean, intuitive interface integrated with GNOME Shell

## Installation

### From extensions.gnome.org

1. Visit [extensions.gnome.org](https://extensions.gnome.org) and search for "Crypto Tracker"
2. Click the toggle button to install the extension
3. Configure the extension through the preferences panel

### Manual Installation

1. Clone this repository:
   ```
   git clone https://github.com/bilgi42/Crypto-Tracker-Gnome.git
   ```
2. Copy or link the directory to GNOME Shell extensions directory:
   ```
   cp -r cryptotracker@bilgi.works ~/.local/share/gnome-shell/extensions/
   ```
3. Restart GNOME Shell (Alt+F2, type 'r', press Enter)
4. Enable the extension using GNOME Extensions app or Extensions tool

## Configuration

1. Click on the extension icon in the top panel
2. Click on the settings icon or right-click and select "Preferences"
3. Add your cryptocurrency holdings and select your preferred fiat currency

## Development

### Building from Source

1. Clone the repository
2. Make your changes
3. Test your changes by installing the extension locally
4. Submit a pull request if you'd like to contribute

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## Acknowledgments

- Data provided by cryptocurrency price APIs
- Built for the GNOME desktop environment

## Donations

If you find this extension useful and would like to support its development, you can donate using the following cryptocurrency addresses:

- **BTC**: bc1qaze7e0k3y2f8wp7ndaj22cpzzqjglvptlk3d3g
- **ETH**: 0x626B7D57ed4d7E146Bf866De2479ADFEC4316dd8
- **LTC**: ltc1qtc2es53lz6du8ks5lxgu38xhy7ehjxrfxe0486
- **SOL**: 7JB5TSWqNtMnePN7Hgb4HiXaQSAZt8YMmbZJjySkvFKa
- **XMR**: 47TAd5biQLLMNnFfmqkLtzVm9z6kLrkYpMv7t8UHTf217Pj3JqQdStMZk8naG3d3AzSbvGQd718BsVjQ8XNtfRFN8td4J9E

## Support

If you encounter any issues or have suggestions, please file them in the [issue tracker](https://github.com/bilgi42/Crypto-Tracker-Gnome/issues).
